%global kf5_version 5.82.0

Name:    powerdevil
Version: 5.27.10
Release:    1%{?dist}
Summary: Manages the power consumption settings of a Plasma Shell

License: GPLv2+
URL:     https://invent.kde.org/plasma/%{name}

%global plasma_version %(echo %{version} | cut -d. -f1,2,3)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{plasma_version}/%{name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  plasma-workspace-devel >= %{plasma_version}
Requires: libkworkspace5 >= %{plasma_version}

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-bluez-qt-devel
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-kauth-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kidletime-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kirigami2-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-solid-devel

BuildRequires:  libXrandr-devel
BuildRequires:  libcap-devel
BuildRequires:  libkscreen-qt5-devel
BuildRequires:  libxcb-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  systemd-devel
BuildRequires:  systemd-rpm-macros
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-wm-devel

%ifnarch s390 s390x
BuildRequires:  libddcutil-devel
%global DDCUTIL ON
%else
%global DDCUTIL OFF
%endif

%{?_qt5:Requires: %{_qt5} >= %{_qt5_version}}


%description
Powerdevil is an utility for powermanagement. It consists
of a daemon (a KDED module) and a KCModule for its configuration.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%cmake_kf5 -DHAVE_DDCUTIL=%DDCUTIL

%cmake_build


%install
%cmake_install

%find_lang powerdevil5 --with-html --all-name

rm -fv %{buildroot}/%{_libdir}/libpowerdevil{configcommonprivate,core,ui}.so



%files -f powerdevil5.lang
%license COPYING*
%{_datadir}/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
%{_datadir}/dbus-1/system.d/org.kde.powerdevil.discretegpuhelper.conf
%{_datadir}/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%{_datadir}/dbus-1/system-services/org.kde.powerdevil.discretegpuhelper.service
%{_datadir}/dbus-1/system-services/org.kde.powerdevil.chargethresholdhelper.service
%{_datadir}/dbus-1/system.d/org.kde.powerdevil.chargethresholdhelper.conf
%{_datadir}/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
%{_datadir}/polkit-1/actions/org.kde.powerdevil.discretegpuhelper.policy
%{_datadir}/polkit-1/actions/org.kde.powerdevil.chargethresholdhelper.policy
%{_datadir}/qlogging-categories5/powerdevil.categories
%{_kf5_libexecdir}/kauth/backlighthelper
%{_kf5_libexecdir}/kauth/discretegpuhelper
%{_kf5_libexecdir}/kauth/chargethresholdhelper
%{_sysconfdir}/xdg/autostart/powerdevil.desktop
%{_libexecdir}/org_kde_powerdevil
%{_kf5_libdir}/libpowerdevilconfigcommonprivate.so.*
%{_kf5_libdir}/libpowerdevilcore.so.*
%{_kf5_libdir}/libpowerdevilui.so.*
%{_kf5_qtplugindir}/*.so
%{_kf5_plugindir}/powerdevil/
%{_kf5_datadir}/knotifications5/powerdevil.notifyrc
%{_kf5_datadir}/applications/kcm_powerdevilprofilesconfig.desktop
%{_kf5_datadir}/applications/kcm_powerdevilactivitiesconfig.desktop
%{_kf5_datadir}/applications/kcm_powerdevilglobalconfig.desktop
%{_userunitdir}/plasma-powerdevil.service
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_powerdevil*.so
%{_kf5_qtplugindir}/powerdevil/action/powerdevil_*.so

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
